Skip to main content
GET
/
api
/
v1
/
groups
/
{group_id}
/
locations
/
{location_id}
Get a single Group Location
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations/{location_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations/{location_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/locations/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": {
    "city": "San Francisco",
    "county": "San Francisco",
    "state": "CA",
    "street_one": "1234 Test Ln",
    "zip_code": "94107"
  },
  "created": 1557512389,
  "group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
  "id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
  "modified": 1543215342,
  "version": "f4142cba-f3eb-4917-b3bd-123d683f18d7"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

The unique identifier of the group the location belongs to

Example:

"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"

location_id
string<uuid>
required

The unique identifier of the location to be retrieved

Example:

"bd957820-4652-4ee7-8a3a-6413df21e28d"

Response

200 - application/json

Successful Response - Returns a single Group Location

address
object
required

Address of the group location

created
integer
required

The date the record was created

display_name
string
required

Display name for the group location

Example:

"Primary Company Location"

group_id
string<uuid>
required
read-only

Unique identifier of the group in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

version
string<uuid>
required

Current version of the record